datablock ItemData( plateArmorItem : hammerItem )
{
	category = "Item";
	shapeFile = "./armor.dts";

	uiName = "Plate Armor"; // UI Name of your armor that's going to appear in the item list.
	iconName = "./PlateArmor";

	isArmor = true; // Is this armor?
	health = 50; // Health of the armor
	divider = 0.3; // How much does it nerf the damage dealt. Example: 20 

	doColorShift = false;
	colorShiftColor = "1.0 1.0 1.0 1.0"; // Unless you want other images to have their own color, you can change this value for different armor color.

	image = plateArmorImage; // Image of your armor that's going to get mounted on to your hand.
	canDrop = true;
};

datablock shapeBaseImageData( plateArmorImage )
{
	shapeFile = "./armor.dts"; // Model of armor when mounted to hand.

	mountPoint = 0; // Where is it mounted? Check after line 95 for list of nodes.

	doColorShift = false;

	item = plateArmorItem; // Item you're gonna drop if you press Ctrl + W.

	className = "WeaponImage";
	armReady = true;

	stateName[0]					= "Activate";
	stateTimeoutValue[0]			= 0.5;
	stateTransitionOnTimeout[0]		= "Ready";


	stateName[1] 					= "Ready";
	stateScript[1]					= "onUse";
	stateTransitionOnTriggerDown[1]	= "Fire";
	stateAllowImageChange[1]		= true;


	stateName[2]					= "Fire";
	stateTransitionOnTriggerUp[2]	= "Ready";
	stateScript[2]					= "onFire";
};


datablock shapeBaseImageData( plateArmorEquippedImage )
{
	shapeFile = "./armor.dts";

	mountPoint = 2; // Where is it mounted? Check after line 95 for list of nodes.
	offset = "0 0.03 -0.25";

	eyeOffset = "-9999 -9999 -9999"; // Change this to "0 0 0"; if you want your armor to be visible in first person. Not reccomended.

	doColorShift = false;

	className = "WeaponImage";
	armReady = false;
};

function plateArmorImage::onFire( %this, %obj, %slot )
{
	%data = %this.item;

	if( !%data.isArmor )
	{
		return;
	}

	serverPlay3d( plateEquipSound, %obj.getHackPosition() ); // Change cssEquipSound into something else if you want to change the equip sound. Note: you must have a sound datablock.
	%obj.unmountimage( plateArmorImage.mountPoint ); // armorTemplateImage.mountPoint makes it so you only have to change one value in the datablock.
	%obj.mountimage( plateArmorEquippedImage, plateArmorEquippedImage.mountPoint );

	%obj.armor = %data.health;
	%obj.armorDivider = %data.divider;
	%obj.armored = true;

	messageClient( %obj.client, 'MsgItemPickup', '', %obj.currTool, 0 );
	%obj.tool[ %obj.currTool ] = 0;
	serverCmdUnUseTool( %obj.client );
}

function plateArmorEquippedImage::onUnMount( %this, %obj )
{
	%obj.armor = "";
	%obj.armorDivider = "";
	%obj.armored = false;
}